Fix false -Wodr warnings

Dominique d'Humières dominiq@lps.ens.fr
Tue Apr 16 14:18:00 GMT 2019



> Le 16 avr. 2019 à 15:07, Jakub Jelinek <jakub@redhat.com> a écrit :
> 
> On Tue, Apr 16, 2019 at 02:51:14PM +0200, Jan Hubicka wrote:
>>> Hi Jan,
>>> 
>>> The test causes
>>> 
>>> WARNING: lto.exp does not support dg-do
>>> WARNING: lto.exp does not support dg-options in primary source file
>>> 
>>> This is fixed by the following patch
>>> 
>>> --- ../_clean/gcc/testsuite/g++.dg/lto/pr89358_0.C	2019-04-15 00:04:48.000000000 +0200
>>> +++ gcc/testsuite/g++.dg/lto/pr89358_0.C	2019-04-16 13:13:14.000000000 +0200
>>> @@ -1,5 +1,5 @@
>>> -/* { dg-do link } */
>>> -/* { dg-options "-std=c++17"  } */
>>> +/* { dg-lto-do link } */
>>> +/* { dg-lto-options "-std=c++17"  } */
>> 
>> Thanks, this changle is OK.
>> Honza

Committed as revision r270390

Dominique



More information about the Gcc-patches mailing list